首页 > DB2 & Sql Server > DB2 10.5 Express-C 安装时报找不到库文件”/lib/libpam.so*”
2013
08-26

DB2 10.5 Express-C 安装时报找不到库文件”/lib/libpam.so*”

系统版本:linux suse sp11
数据库版本:db2 10.5 express-c
今天在家里测试安装db2 10.5版本的时候,提示系统找不到库文件,错误如下
linux-k9fe:/home/db2install/expc # ./db2setup 
Requirement not matched for DB2 database “Server” . Version: “10.5.0.0”. 
Summary of prerequisites that are not met on the current system: 

   DBT3514W  The db2prereqcheck utility failed to find the following 32-bit library file: “/lib/libpam.so*”
DBI1190I  db2setup is preparing the DB2 Setup wizard which will guide
      you through the program setup process. Please wait.
原因是这个库文件没有。哈哈,这个,,,话多了。下载了一个,然后传到服务器上,就可以了
再次执行,就OK了,关于这个库文件,点击我下载
linux-k9fe:/home/db2install/expc # ./db2setup 
Requirement not matched for DB2 database “Server” . Version: “10.5.0.0”. 
Summary of prerequisites that are not met on the current system: 
   DBT3514W  The db2prereqcheck utility failed to find the following 32-bit library file: “/lib/libpam.so*”.
DBI1190I  db2setup is preparing the DB2 Setup wizard which will guide
      you through the program setup process. Please wait.
最后编辑:
作者:Jerry
一个积极向上的小青年,热衷于分享--Focus on DB,BI,ETL